summaryrefslogtreecommitdiff
path: root/libre
diff options
context:
space:
mode:
Diffstat (limited to 'libre')
-rw-r--r--libre/iceweasel-libre/PKGBUILD9
1 files changed, 4 insertions, 5 deletions
diff --git a/libre/iceweasel-libre/PKGBUILD b/libre/iceweasel-libre/PKGBUILD
index 97501a647..b806c3276 100644
--- a/libre/iceweasel-libre/PKGBUILD
+++ b/libre/iceweasel-libre/PKGBUILD
@@ -142,13 +142,12 @@ build() {
if $_pgo; then
export DISPLAY=:99
Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
-
- if ! make -f client.mk build MOZ_PGO=1; then
- kill $!
- return 1
- fi
+ _fail=0
+
+ make -f client.mk build MOZ_PGO=1 || _fail=1
kill $! || true
+ return $_fail
else
make -f client.mk build
fi